{% extends "base.html.twig" %}

{% block body %}
    <table class="table table-striped table-hover table-condensed">
        <thead>
            <tr>
                <th>#</th>
                <th>Course</th>
                <th>Title</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
            {% for q in quiz %}
                <tr>
                    <td>{{ q.id }}</td>
                    <td>
                        {% for c in course %}
                            {% if q.CId == c.id %}{{ c.title }}{% endif %}
                        {% endfor %}
                    </td>
                    <td>{{ q.title }}</td>
                    <td>
                        {% for c in course %}
                            {% if q.CId == c.id %}<a href="{{ path('quiz_import', {'cid': c.id,'qid': q.id}) }}">import</a> |{% endif %}
                        {% endfor %}
                        {% for c in course %}
                            {% if q.CId == c.id %}<a href="{{ path('quiz_random', {'cid': c.id,'qid': q.id}) }}">random</a> |{% endif %}
                        {% endfor %}
                        <a href="{{ path('quiz_delete', {'id': q.id}) }}">delete</a>
                    </td>
                </tr>
            {% endfor %}
        </tbody>
    </table>
{% endblock %}